List generated reports
curl --request GET \
--url https://prod.featherhq.com/api/v1/reports \
--header 'X-API-Key: <api-key>'import requests
url = "https://prod.featherhq.com/api/v1/reports"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://prod.featherhq.com/api/v1/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reports": [
{
"id": "<string>",
"organizationId": "<string>",
"type": "AGENT_CALLS",
"filters": {
"callEndedReasons": [],
"startCallStartedAt": "2023-11-07T05:31:56Z",
"endCallStartedAt": "2023-11-07T05:31:56Z"
},
"fileKey": "<string>",
"rowCount": 123,
"errorMessage": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"completedAt": "<string>"
}
],
"pagination": {
"limit": 10,
"nextCursor": "<string>"
}
}{
"status": 400,
"message": "Bad request",
"code": "BAD_REQUEST",
"success": false
}{
"status": 500,
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"success": false
}Reports
List generated reports
List all reports for the organization with cursor-based pagination
GET
/
api
/
v1
/
reports
List generated reports
Authorizations
Query Parameters
Number of items per page (default: 10, max: 100)
Cursor for pagination (ID of the last item in previous page)
Filter by report status
Available options:
PENDING, PROCESSING, COMPLETED, FAILED ⌘I